<div class="row">
    <div class="col-md-12 form-group"
         ng-if="!inTranslateMode"
         ng-class="{'has-error': !vc.isFieldValid('rangelengthmin')}">
        <label class="control-label"
               message-key="fcnt_rangeLengthValidation.designView.min"></label>
        <input type="number"
               class="form-control"
               ng-model="input.validations[validationName].rangelengthmin"
               string-to-number
               ff-field-value-validation="positiveNumber" field-id="rangelengthmin" case-name="{{validationName}}">
        <span class="help-block" ng-show="!vc.isFieldValid('rangelengthmin')">
            <span message-key="ff.label.required"></span>
            <span message-key="ff.label.positiveNumbersOnly"></span>
        </span>
    </div>

    <div class="col-md-12 form-group"
         ng-if="!inTranslateMode"
         ng-class="{'has-error': !vc.isFieldValid('rangelengthmax')}">
        <label class="control-label"
               message-key="fcnt_rangeLengthValidation.designView.max"></label>
        <input type="number"
               class="form-control"
               ng-model="input.validations[validationName].rangelengthmax"
               string-to-number
               ff-field-value-validation="positiveNumber" field-id="rangelengthmax" case-name="{{validationName}}">
        <span class="help-block" ng-show="!vc.isFieldValid('rangelengthmax')">
            <span message-key="ff.label.required"></span>
            <span message-key="ff.label.positiveNumbersOnly"></span>
        </span>
    </div>

    <div class="col-md-12 form-group"
         ng-class="{'has-error': !vc.isFieldValid('message')}">
        <label class="control-label"
               message-key="ff.label.message"></label>
        <input type="text"
               class="form-control"
               ng-model="input.validations[validationName].message"
               ff-field-value-validation="any" field-id="message" case-name="{{validationName}}">
        <span class="help-block" ng-show="!vc.isFieldValid('message')">
            <span message-key="ff.label.required"></span>
        </span>
    </div>
</div>