<div class="row">
    <div class="col-md-12">
        <div class="row" ng-if="!inTranslateMode">
            <div class="col-md-12">
                <label class="control-label">
                    <span message-key="ff.label.changeInputFieldName"></span>
                </label>
                <input type="text"
                       class="form-control"
                       ng-model="input.name"
                       ff-name-uniqueness-check
                       ff-logics-syncronizer/>
                <span class="help-block hide">
                    <span message-key="angular.ffFormBuilderDirective.message.duplicateInputName"></span>
                </span>
            </div>
            <div class="clearfix"></div>
            <br/>
            <div class="col-md-12 form-group"
                 ng-class="{'has-error': !isFieldValid('max')}">
                <label class="control-label">
                    <span message-key="fcnt_ratingDefinition.label.scale"></span>
                </label>
                <input type="number"
                       class="form-control"
                       ng-model="input.max"
                       string-to-number
                       ff-field-value-validation="positiveNumber" field-id="max"/>
                <span class="help-block" ng-show="!isFieldValid('max')">
                    <span message-key="ff.label.required"></span>
                    <span message-key="ff.label.positiveNumbersOnly"></span>
                </span>
            </div>
            <div class="clearfix"></div>
            <br/>
            <div class="col-md-12">
                <label>
                    <span message-key="ff.label.changeInputSize"></span>
                </label>
                <select class="form-control" ng-model="input.inputsize">
                    <option value="default" message-key="ff.label.default"></option>
                    <option value="fa-lg" message-key="ff.label.medium"></option>
                    <option value="fa-2x" message-key="ff.label.large"></option>
                    <option value="fa-3x" message-key="ff.label.xLarge"></option>
                </select>
            </div>
            <div class="clearfix"></div>
            <br/>
            <div class="col-md-12">
                <label>
                    <span message-key="fcnt_ratingDefinition.label.icon"></span>
                </label>
                <select class="form-control" ng-model="input.stateOnOff">
                    <option value="fa-star rated,fa-star-o">{{star}}</option>
                    <option value="fa-heart rated,fa-heart-o">{{heart}}</option>
                    <option value="fa-thumbs-o-up rated,fa-thumbs-o-up">{{thumbs}}</option>
                </select>
            </div>
        </div>
        <br/>
        <label>
            <span message-key="ff.label.changeLabel"></span>
        </label>
        <input type="text" class="form-control" ng-model="input.label"/>
        <br/>
        <label>
            <span message-key="ff.label.changeHelpText"></span>
        </label>
        <input type="text" class="form-control" ng-model="input.helptext"/>
    </div>
</div>